Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.event
Class RepeaterEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cocoon.forms.event.WidgetEvent
              org.apache.cocoon.forms.event.RepeaterEvent

All Implemented Interfaces:
  Serializable

public class RepeaterEvent
extends WidgetEvent

An event raised when a repeater widget row is added, removed or reordered.

Version:
  $Id: RepeaterEvent.java 587759 2007-10-24 03:00:37Z vgritsenko $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RepeaterEvent(Widget sourceWidget, RepeaterEventAction action)`
`RepeaterEvent(Widget sourceWidget, RepeaterEventAction action, int row)`

Method Summary
`RepeaterEventAction` | `getAction()`
`int` | `getRow()`

Methods inherited from class org.apache.cocoon.forms.event.WidgetEvent
`getSourceWidget`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepeaterEvent

    public RepeaterEvent(Widget sourceWidget,
                         RepeaterEventAction action)

Parameters:
  `sourceWidget` - The repeater widget dispatching the event.
  `action` - The action for which this event is being triggered.

### RepeaterEvent

    public RepeaterEvent(Widget sourceWidget,
                         RepeaterEventAction action,
                         int row)

Parameters:
  `sourceWidget` - The repeater widget dispatching the event.
  `action` - The action for which this event is being triggered.
  `row` - The row index for which the event is being generated.

Method Detail

### getRow

    public int getRow()

  Returns:
    Returns the row index for which the event has been generated.

### getAction

    public RepeaterEventAction getAction()

  Returns:
    Returns the action.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.